// pages/bill/bill.js
const app = getApp();
Page({
  /**
   * 页面的初始数据
   */
  data: {
    imgs: "/images/tupian2.png",
    statusBarHeight: app.globalData.statusBarHeight,
    yuan: 99999.98,
    date: "",
    show: false,
    show1:true,
    price: "337.90",
    // price:'337',
    frontPrice: "",
    backPrice: "",
    isDot: true,
  },
  back: function () {
    wx.navigateBack({
      delta: 1,
    });
  },
  onShow(e) {
    this.totalprice(this.price);
  },
  methods: {
    // totalprice(num) {
    //   // 判断是否有小数点
    //   if (!isNaN(num)) {
    //     // 判断 number类型的数字是不是NaN，因为NaN也是number类型
    //     this.isDot = (num + "").indexOf(".") != -1; // 加一个空字符串 = 强转string类型；
    //     // indexOf方法，判断字符串中是否存在某个值，存在则返回存在位置的下标(小数点的下标位置是0)，不存在则返回-1，
    //     // 这里是判断是否存在小数点，数值377无小数点所以返回-1，377.90存在小数点所以返回 3
    //     // console.log((num + '').indexOf('.'));
    //   }
    //   if (this.isDot) {
    //     // 分割价钱 => ["337", "90"]
    //     let splitPrice = num.split(".");
    //     this.frontPrice = splitPrice[0];
    //     this.backPrice = splitPrice[1];
    //   } else {
    //     this.frontPrice = num;
    //   }
    // },
  },

  onDisplay() {
    this.setData({ show: true ,show1:false});
  },
  onClose() {
    this.setData({ show: false });
  },
  formatDate(date) {
    date = new Date(date);
    return `${date.getFullYear()}-${date.getMonth() + 1}-${date.getDate()}`;
  },
  onConfirm(event) {
    const [start, end] = event.detail;
    this.setData({
      show: false,
      date: `${this.formatDate(start)} 至 ${this.formatDate(end)}`,
      
    });
    
  },
  

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {},

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {},

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {},

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {},

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {},

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {},

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {},

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {},
});
